[arch-commits] Commit in graphite/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Andreas Radke andyrtr at gemini.archlinux.org
Sat May 21 19:29:55 UTC 2022


    Date: Saturday, May 21, 2022 @ 19:29:54
  Author: andyrtr
Revision: 446214

archrelease: copy trunk to extra-x86_64

Added:
  graphite/repos/extra-x86_64/PKGBUILD
    (from rev 446213, graphite/trunk/PKGBUILD)
Deleted:
  graphite/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |  108 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 54 insertions(+), 54 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2022-05-21 19:29:48 UTC (rev 446213)
+++ PKGBUILD	2022-05-21 19:29:54 UTC (rev 446214)
@@ -1,54 +0,0 @@
-# Maintainer: AndyRTR <andyrtr at archlinux.org>
-
-pkgname=graphite
-pkgver=1.3.14
-pkgrel=1
-epoch=1
-arch=('x86_64')
-url="https://github.com/silnrsi/graphite"
-pkgdesc='reimplementation of the SIL Graphite text processing engine'
-license=('LGPL' 'GPL' 'custom')
-depends=('gcc-libs')
-makedepends=('cmake' 'freetype2' 'python'
-             # for documentation
-             'doxygen' 'dblatex' 'graphviz' 'asciidoc')
-checkdepends=('python-fonttools')
-options=('!emptydirs')
-# https://github.com/silnrsi/graphite/releases/download/1.3.14/graphite2-1.3.14.sha256sum
-source=(https://github.com/silnrsi/graphite/releases/download/${pkgver}/graphite2-${pkgver}.tgz)
-sha256sums=('f99d1c13aa5fa296898a181dff9b82fb25f6cc0933dbaa7a475d8109bd54209d')
-
-
-build() {
-  mkdir build
-  cd build
-  cmake -G "Unix Makefiles" ../graphite2-${pkgver} \
-	-DCMAKE_C_FLAGS:STRING="${CFLAGS}" \
-	-DCMAKE_INSTALL_PREFIX=/usr \
-	-DCMAKE_BUILD_TYPE:STRING=Release \
-	-DGRAPHITE2_COMPARE_RENDERER=OFF \
-
-  # fix unwanted -O3 cflag (taken form Debian)
-  find . -type f ! -name "rules" ! -name "changelog" -exec sed -i -e 's/\-O3//g' {} \;
-
-  make 
-  make -j1 docs
-}
-
-check() {
-  cd "${srcdir}"/build
-  ctest || true
-}
-
-package() {
-  cd "${srcdir}"/build
-  make DESTDIR="$pkgdir/" install
-  # install doc files
-  mkdir -p "${pkgdir}"/usr/share/doc/graphite2/api
-  cp -vrf doc/doxygen/{html,latex/refman.pdf} "${pkgdir}"/usr/share/doc/graphite2/api
-  cp -vrf doc/{GTF,manual}.html "${pkgdir}"/usr/share/doc/graphite2
-
-  # licenses
-  mkdir -p "${pkgdir}"/usr/share/licenses/${pkgname}
-  install -m644 "${srcdir}"/graphite2-${pkgver}/COPYING "${pkgdir}"/usr/share/licenses/${pkgname}/
-}

Copied: graphite/repos/extra-x86_64/PKGBUILD (from rev 446213, graphite/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2022-05-21 19:29:54 UTC (rev 446214)
@@ -0,0 +1,54 @@
+# Maintainer: AndyRTR <andyrtr at archlinux.org>
+
+pkgname=graphite
+pkgver=1.3.14
+pkgrel=2
+epoch=1
+arch=('x86_64')
+url="https://github.com/silnrsi/graphite"
+pkgdesc='reimplementation of the SIL Graphite text processing engine'
+license=('LGPL' 'GPL' 'custom')
+depends=('gcc-libs')
+makedepends=('cmake' 'freetype2' 'python'
+             # for documentation
+             'doxygen' 'dblatex' 'graphviz' 'asciidoc')
+checkdepends=('python-fonttools')
+options=('!emptydirs')
+# https://github.com/silnrsi/graphite/releases/download/1.3.14/graphite2-1.3.14.sha256sum
+source=(https://github.com/silnrsi/graphite/releases/download/${pkgver}/graphite2-${pkgver}.tgz)
+sha256sums=('f99d1c13aa5fa296898a181dff9b82fb25f6cc0933dbaa7a475d8109bd54209d')
+
+
+build() {
+  mkdir build
+  cd build
+  cmake -G "Unix Makefiles" ../graphite2-${pkgver} \
+	-DCMAKE_C_FLAGS:STRING="${CFLAGS}" \
+	-DCMAKE_INSTALL_PREFIX=/usr \
+	-DCMAKE_BUILD_TYPE:STRING=Release \
+	-DGRAPHITE2_COMPARE_RENDERER=OFF \
+
+  # fix unwanted -O3 cflag (taken form Debian)
+  find . -type f ! -name "rules" ! -name "changelog" -exec sed -i -e 's/\-O3//g' {} \;
+
+  make 
+  make -j1 docs
+}
+
+check() {
+  cd "${srcdir}"/build
+  ctest || true
+}
+
+package() {
+  cd "${srcdir}"/build
+  make DESTDIR="$pkgdir/" install
+  # install doc files
+  mkdir -p "${pkgdir}"/usr/share/doc/graphite2/api
+  cp -vrf doc/doxygen/{html,latex/refman.pdf} "${pkgdir}"/usr/share/doc/graphite2/api
+  cp -vrf doc/{GTF,manual}.html "${pkgdir}"/usr/share/doc/graphite2
+
+  # licenses
+  mkdir -p "${pkgdir}"/usr/share/licenses/${pkgname}
+  install -m644 "${srcdir}"/graphite2-${pkgver}/COPYING "${pkgdir}"/usr/share/licenses/${pkgname}/
+}



More information about the arch-commits mailing list